## org.eclipse.emf.ecoretools.diagram.part
Class EcoreDocumentProvider.ResourceSetInfo

    java.lang.Object
      org.eclipse.emf.ecoretools.diagram.part.EcoreDocumentProvider.ResourceSetInfo

All Implemented Interfaces:
  org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.IDocumentListener

Enclosing class:
  EcoreDocumentProvider

    protected class EcoreDocumentProvider.ResourceSetInfo

extends java.lang.Object

Field Summary
`org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.IDiagramDocument` `myDocument`

Constructor Summary
`EcoreDocumentProvider.ResourceSetInfo(org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.IDiagramDocument document, org.eclipse.ui.IEditorInput editorInput)`

Method Summary
`void` `dispose()`
`org.eclipse.emf.transaction.TransactionalEditingDomain` `getEditingDomain()`
`org.eclipse.ui.IEditorInput` `getEditorInput()`
`long` `getModificationStamp()`
`org.eclipse.emf.ecore.resource.ResourceSet` `getResourceSet()`
`boolean` `isModifiable()`
`boolean` `isReadOnly()`
`boolean` `isSynchronized()`
`boolean` `isUpdateCache()`
`void` `setModifiable(boolean modifiable)`
`void` `setModificationStamp(long modificationStamp)`
`void` `setReadOnly(boolean readOnly)`
`void` `setSynchronized(org.eclipse.emf.ecore.resource.Resource resource)`
`void` `setUnSynchronized(org.eclipse.emf.ecore.resource.Resource resource)`
`void` `setUpdateCache(boolean update)`
`void` `startResourceListening()`
`void` `stopResourceListening()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### myDocument

    public org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.IDiagramDocument myDocument

Constructor Detail

### EcoreDocumentProvider.ResourceSetInfo

    public EcoreDocumentProvider.ResourceSetInfo(org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.IDiagramDocument document,
                                                 org.eclipse.ui.IEditorInput editorInput)

Method Detail

### getModificationStamp

    public long getModificationStamp()

### setModificationStamp

    public void setModificationStamp(long modificationStamp)

### getEditingDomain

    public org.eclipse.emf.transaction.TransactionalEditingDomain getEditingDomain()

### getResourceSet

    public org.eclipse.emf.ecore.resource.ResourceSet getResourceSet()

### getEditorInput

    public org.eclipse.ui.IEditorInput getEditorInput()

### dispose

    public void dispose()

### isSynchronized

    public boolean isSynchronized()

### setUnSynchronized

    public void setUnSynchronized(org.eclipse.emf.ecore.resource.Resource resource)

### setSynchronized

    public void setSynchronized(org.eclipse.emf.ecore.resource.Resource resource)

### stopResourceListening

    public final void stopResourceListening()

### startResourceListening

    public final void startResourceListening()

### isUpdateCache

    public boolean isUpdateCache()

### setUpdateCache

    public void setUpdateCache(boolean update)

### isModifiable

    public boolean isModifiable()

### setModifiable

    public void setModifiable(boolean modifiable)

### isReadOnly

    public boolean isReadOnly()

### setReadOnly

    public void setReadOnly(boolean readOnly)

Copyright 2007 Anyware Technologies. All Rights Reserved.